const {
  override,
  fixBabelImports,
  addLessLoader,
  addPostcssPlugins,
} = require('customize-cra');

module.exports = override(
  fixBabelImports('babel-plugin-import', {
    libraryName: 'antd-mobile',
    style: true,
  }),
  addLessLoader({
    javascriptEnabled: true,
    modifyVars: {
      '@brand-primary': '#ff900d',
      '@brand-primary-tap': '#fac17d',
      '@button-height': '60 * @hd',
    },
  }),
  addPostcssPlugins([
    require('postcss-aspect-ratio-mini'),
    require('postcss-write-svg')({
      utf8: false,
    }),
    require('postcss-px-to-viewport')({
      viewportWidth: 640, // (Number) The width of the viewport.
      viewportHeight: 1136, // (Number) The height of the viewport.
      unitPrecision: 5, // (Number) The decimal numbers to allow the REM units to grow to.
      viewportUnit: 'vw', // (String) Expected units.
      selectorBlackList: ['.ignore', '.hairlines'], // (Array) The selectors to ignore and leave as px.
      minPixelValue: 1, // (Number) Set the minimum pixel value to replace.
      mediaQuery: false, // (Boolean) Allo
    }),
    require('postcss-viewport-units'),
  ]),
);
