import React from 'react';
import PropTypes from 'prop-types';
import { Switch, Route } from 'react-router-dom';
import Equipment from '../Equipment/index';
import SelectEquipment from '../SelectEquipment';
import TestWater from '../TestWater';
// import CheckWater from '../CheckWater';
import RateActivity from '../RateActivity';
import Location from '../Location';

class EquipmentContetn extends React.Component {
  static propTypes = {
    name: PropTypes.string,
  };

  render() {
    const { setTitle } = this.props;
    // const { position, campusId } = this.state;
    return (
      <Switch>
        <Route
          path='/Equipment/:deviceCode'
          exact
          render={props => <Equipment {...props} setTitle={setTitle} />}
        />
        <Route
          path='/Equipment/:deviceCode/SelectEquipment'
          render={props => <SelectEquipment {...props} setTitle={setTitle} />}
        />
        <Route
          path='/Equipment/:deviceCode/TestWater'
          render={props => <TestWater {...props} setTitle={setTitle} />}
        />
        <Route
          path='/Equipment/:deviceCode/RateActivity'
          render={props => <RateActivity {...props} setTitle={setTitle} />}
        />
        <Route
          path='/Equipment/:deviceCode/Location'
          render={props => <Location {...props} setTitle={setTitle} />}
        />
      </Switch>
    );
  }
}

export default EquipmentContetn;
